/**
 * Copyright (c) 2020 ServiceNow, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *  
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *  
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "createDispatcher", {
  enumerable: true,
  get: function get() {
    return _createDispatcher.createDispatcher;
  }
});
Object.defineProperty(exports, "createConditionalDispatch", {
  enumerable: true,
  get: function get() {
    return _createConditionalDispatch.createConditionalDispatch;
  }
});
Object.defineProperty(exports, "addActionHandlers", {
  enumerable: true,
  get: function get() {
    return _addActionHandlers.addActionHandlers;
  }
});
Object.defineProperty(exports, "addActionHandlerForUnknownType", {
  enumerable: true,
  get: function get() {
    return _addActionHandlerForUnknownType.addActionHandlerForUnknownType;
  }
});
Object.defineProperty(exports, "removeActionHandlers", {
  enumerable: true,
  get: function get() {
    return _removeActionHandlers.removeActionHandlers;
  }
});
Object.defineProperty(exports, "hasActionHandlerForType", {
  enumerable: true,
  get: function get() {
    return _utils.hasActionHandlerForType;
  }
});

var _createDispatcher = require("./createDispatcher");

var _createConditionalDispatch = require("./createConditionalDispatch");

var _addActionHandlers = require("./addActionHandlers");

var _addActionHandlerForUnknownType = require("./addActionHandlerForUnknownType");

var _removeActionHandlers = require("./removeActionHandlers");

var _utils = require("./utils");
//# sourceMappingURL=index.js.map