/**
 * Copyright (c) 2020 ServiceNow, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *  
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *  
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getComponentName = getComponentName;

var _utils = require("../../utils");

var _constants = require("../../constants");

var _symbols = require("../../symbols");

function getComponentName(el) {
  var hostVariables = (0, _utils.getHostVariables)(el);
  return hostVariables[_symbols.PROPS] && hostVariables[_symbols.PROPS].hasOwnProperty(_constants.COMPONENT_NAME_PROP) ? hostVariables[_symbols.PROPS][_constants.COMPONENT_NAME_PROP] : el[_constants.COMPONENT_NAME_PROP] || el.getAttribute(_constants.COMPONENT_NAME_ATTR);
}
//# sourceMappingURL=getComponentName.js.map