/**
 * Copyright (c) 2020 ServiceNow, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *  
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *  
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isInternalActionType = isInternalActionType;

var _constants = require("../../constants");

var internalActionTypes = [_constants.PROPERTIES_SET, _constants.DISPATCH_EVENT, _constants.STORE_UPDATED, _constants.COMPONENT_CONNECTED, _constants.COMPONENT_DISCONNECTED, _constants.COMPONENT_BOOTSTRAPPED, _constants.COMPONENT_PROPERTY_CHANGED, _constants.COMPONENT_RENDERED, _constants.COMPONENT_DOM_READY, _constants.SET_INITIAL_STATE, _constants.NOW_UI_EVENT, 'SEISMIC_COMPONENT_ERROR_THROWN', _constants.COMPONENT_PROPERTY_UPDATE_REQUESTED, _constants.COMPONENT_RENDER_REQUESTED]; // TODO: memoize

function isInternalActionType(type) {
  var internal = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
  return internalActionTypes.includes(type) && !internal;
}
//# sourceMappingURL=isInternalActionType.js.map