/**
 * Copyright (c) 2020 ServiceNow, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *  
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *  
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.validateActionPayload = validateActionPayload;

var _symbols = require("../../symbols");

var _log = _interopRequireDefault(require("../../log"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function validateActionPayload(host, type, payload, hostVariables) {
  var _hostVariables$CONFIG = hostVariables[_symbols.CONFIG].actions[type];
  _hostVariables$CONFIG = _hostVariables$CONFIG === void 0 ? {} : _hostVariables$CONFIG;
  var validate = _hostVariables$CONFIG.validate;

  if (process.env.NODE_ENV !== 'production' && payload && _typeof(payload) !== 'object' || Array.isArray(payload)) {
    (0, _log["default"])("Expected payload of ".concat(type, " to be an Object but found ").concat(payload, ". This will result in inconsistent behavior when combined with behavior options or appendToPayload."), {
      host: host,
      origin: 'validateActionPayload'
    });
  }

  if (typeof validate === 'function') validate(payload, host);
}
//# sourceMappingURL=validateActionPayload.js.map