/**
 * Copyright (c) 2020 ServiceNow, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *  
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *  
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ARIA_LIVE_ASSERTIVE = exports.ARIA_LIVE_POLITE = exports.ARIA_LIVE_REGION_UPDATE_REQUESTED = exports.NOW_AVOID_RENDER_PROP = exports.COMPONENT_STATE_UPDATED = exports.SHADOW_ROOT_MODE_OPEN = exports.SHADOW_ROOT_MODE_CLOSED = exports.PACKAGE_NAME = exports.HELPERS_SCHEDULED = exports.HELPERS_DEFER = exports.HELPERS_IMMEDIATE = exports.COMPONENT_INTERNAL_ACTION = exports.SCHEDULE_IMMEDIATELY_DO_NOT_USE_OR_YOU_WILL_BE_IMMEDIATELY_FIRED = exports.ACTION_HANDLED = exports.ACTION_DISPATCHED = exports.STATE_UPDATED = exports.NOW_UI_EVENT = exports.NOW_METRICS_LEVEL_PROP = exports.NOW_METRIC_TYPES_PROP = exports.COMPONENT_MODE_DETACH = exports.COMPONENT_MODE_SUSPEND = exports.COMPONENT_MODE_ACTIVE = exports.NOW_MODE_PROP = exports.NOW_MODE_ATTR = exports.PRIORITY_LEVEL_MEDIUM = exports.PRIORITY_LEVEL_LOW = exports.NOW_PRIORITY_PROP = exports.NOW_PRIORITY_ATTR = exports.NOW_PLACEHOLDER_WIDTH_PROP = exports.NOW_PLACEHOLDER_HEIGHT_PROP = exports.NOW_LOGGING_LEVELS_PROP = exports.NOW_ENABLE_PROPERTY_SETTING_PREVENTION_PROP = exports.NOW_ENABLE_PROPERTY_SETTING_PREVENTION_ATTR = exports.NOW_COMPONENT_NAME_PROP = exports.NOW_COMPONENT_NAME_ATTR = exports.NOW_ID_PROP = exports.NOW_ID_ATTR = exports.NOW_HOIST_PREPEND_TO_PROP = exports.NOW_HOIST_APPEND_TO_PROP = exports.NOW_HOIST_PREPEND_TO_ATTR = exports.NOW_HOIST_APPEND_TO_ATTR = exports.NOW_HOIST_PROP = exports.NOW_HOIST_ATTR = exports.COMPONENT_INTERACTIVE = exports.COMPONENT_ACTION_DISPATCHED = exports.COMPONENT_TREE_RENDERED = exports.COMPONENT_DOM_TREE_READY = exports.COMPONENT_RENDER_REQUESTED = exports.COMPONENT_PROPERTY_UPDATE_REQUESTED = exports.COMPONENT_DOM_READY = exports.COMPONENT_RENDERED = exports.COMPONENT_PROPERTY_CHANGED = exports.COMPONENT_BOOTSTRAPPED = exports.COMPONENT_DISCONNECTED = exports.COMPONENT_CONNECTED = exports.ON_BOOTSTRAP_LIFECYCLE = exports.ON_DISCONNECT_LIFECYCLE = exports.ON_CONNECT_LIFECYCLE = exports.PROPERTIES_SET_LIFECYCLE = exports.PROPERTY_SELECTOR_SIGIL = exports.APPEND_TO_META_PROP_NAME = exports.APPEND_TO_PAYLOAD_PROP_NAME = exports.DEFER_ATTRIBUTE = exports.HOIST_FIRST_SCROLL_PARENT = exports.SEISMIC_HOIST_TAG_NAME = exports.HOIST_ATTR = exports.HOIST_APPEND_TO_ATTR = exports.HOIST_APPEND_TO_PROP = exports.COMPONENT_NAME_PROP = exports.COMPONENT_NAME_ATTR = exports.SET_INITIAL_STATE = exports.PARSE_PROP_CONF_KEY = exports.SHOULD_NOT_PROPAGATE = exports.PROPERTIES_SET = exports.HANDLE_ACTIONS = exports.STORE_UPDATED = exports.ATTRIBUTE_SET = exports.COMPONENT_ID_ATTRIBUTE = exports.DISPATCH_EVENT = void 0;

var _uiInternal = require("@servicenow/ui-internal");

var DISPATCH_EVENT = 'DISPATCH_CUSTOM_EVENT';
exports.DISPATCH_EVENT = DISPATCH_EVENT;
var COMPONENT_ID_ATTRIBUTE = 'component-id';
exports.COMPONENT_ID_ATTRIBUTE = COMPONENT_ID_ATTRIBUTE;
var ATTRIBUTE_SET = 'ATTRIBUTE_SET';
exports.ATTRIBUTE_SET = ATTRIBUTE_SET;
var STORE_UPDATED = 'STORE_UPDATED';
exports.STORE_UPDATED = STORE_UPDATED;
var HANDLE_ACTIONS = 'handle-actions';
exports.HANDLE_ACTIONS = HANDLE_ACTIONS;
var PROPERTIES_SET = 'PROPERTIES_SET';
exports.PROPERTIES_SET = PROPERTIES_SET;
var SHOULD_NOT_PROPAGATE = [PROPERTIES_SET, STORE_UPDATED];
exports.SHOULD_NOT_PROPAGATE = SHOULD_NOT_PROPAGATE;
var PARSE_PROP_CONF_KEY = 'unstableParse';
exports.PARSE_PROP_CONF_KEY = PARSE_PROP_CONF_KEY;
var SET_INITIAL_STATE = 'SET_INITIAL_STATE';
exports.SET_INITIAL_STATE = SET_INITIAL_STATE;
var COMPONENT_NAME_ATTR = 'component-name';
exports.COMPONENT_NAME_ATTR = COMPONENT_NAME_ATTR;
var COMPONENT_NAME_PROP = 'componentName';
exports.COMPONENT_NAME_PROP = COMPONENT_NAME_PROP;
var HOIST_APPEND_TO_PROP = 'hoistAppendTo';
exports.HOIST_APPEND_TO_PROP = HOIST_APPEND_TO_PROP;
var HOIST_APPEND_TO_ATTR = 'hoist-append-to';
exports.HOIST_APPEND_TO_ATTR = HOIST_APPEND_TO_ATTR;
var HOIST_ATTR = 'hoist';
exports.HOIST_ATTR = HOIST_ATTR;
var SEISMIC_HOIST_TAG_NAME = 'SEISMIC-HOIST';
exports.SEISMIC_HOIST_TAG_NAME = SEISMIC_HOIST_TAG_NAME;
var HOIST_FIRST_SCROLL_PARENT = 'now-unstable-first-scroll-parent';
exports.HOIST_FIRST_SCROLL_PARENT = HOIST_FIRST_SCROLL_PARENT;
var DEFER_ATTRIBUTE = 'defer';
exports.DEFER_ATTRIBUTE = DEFER_ATTRIBUTE;
var APPEND_TO_PAYLOAD_PROP_NAME = 'appendToPayload';
exports.APPEND_TO_PAYLOAD_PROP_NAME = APPEND_TO_PAYLOAD_PROP_NAME;
var APPEND_TO_META_PROP_NAME = 'appendToMeta';
exports.APPEND_TO_META_PROP_NAME = APPEND_TO_META_PROP_NAME;
var PROPERTY_SELECTOR_SIGIL = '@';
exports.PROPERTY_SELECTOR_SIGIL = PROPERTY_SELECTOR_SIGIL;
var PROPERTIES_SET_LIFECYCLE = 'onPropertiesSet'; // legacy life cycle functions

exports.PROPERTIES_SET_LIFECYCLE = PROPERTIES_SET_LIFECYCLE;
var ON_CONNECT_LIFECYCLE = 'onConnect';
exports.ON_CONNECT_LIFECYCLE = ON_CONNECT_LIFECYCLE;
var ON_DISCONNECT_LIFECYCLE = 'onDisconnect';
exports.ON_DISCONNECT_LIFECYCLE = ON_DISCONNECT_LIFECYCLE;
var ON_BOOTSTRAP_LIFECYCLE = 'onBootstrap'; // public action types

exports.ON_BOOTSTRAP_LIFECYCLE = ON_BOOTSTRAP_LIFECYCLE;
var COMPONENT_CONNECTED = _uiInternal.actionTypes.COMPONENT_CONNECTED;
exports.COMPONENT_CONNECTED = COMPONENT_CONNECTED;
var COMPONENT_DISCONNECTED = _uiInternal.actionTypes.COMPONENT_DISCONNECTED;
exports.COMPONENT_DISCONNECTED = COMPONENT_DISCONNECTED;
var COMPONENT_BOOTSTRAPPED = _uiInternal.actionTypes.COMPONENT_BOOTSTRAPPED;
exports.COMPONENT_BOOTSTRAPPED = COMPONENT_BOOTSTRAPPED;
var COMPONENT_PROPERTY_CHANGED = _uiInternal.actionTypes.COMPONENT_PROPERTY_CHANGED;
exports.COMPONENT_PROPERTY_CHANGED = COMPONENT_PROPERTY_CHANGED;
var COMPONENT_RENDERED = _uiInternal.actionTypes.COMPONENT_RENDERED;
exports.COMPONENT_RENDERED = COMPONENT_RENDERED;
var COMPONENT_DOM_READY = _uiInternal.actionTypes.COMPONENT_DOM_READY;
exports.COMPONENT_DOM_READY = COMPONENT_DOM_READY;
var COMPONENT_PROPERTY_UPDATE_REQUESTED = _uiInternal.actionTypes.COMPONENT_PROPERTY_UPDATE_REQUESTED;
exports.COMPONENT_PROPERTY_UPDATE_REQUESTED = COMPONENT_PROPERTY_UPDATE_REQUESTED;
var COMPONENT_RENDER_REQUESTED = _uiInternal.actionTypes.COMPONENT_RENDER_REQUESTED;
exports.COMPONENT_RENDER_REQUESTED = COMPONENT_RENDER_REQUESTED;
var COMPONENT_DOM_TREE_READY = _uiInternal.actionTypes.COMPONENT_DOM_TREE_READY;
exports.COMPONENT_DOM_TREE_READY = COMPONENT_DOM_TREE_READY;
var COMPONENT_TREE_RENDERED = _uiInternal.actionTypes.COMPONENT_TREE_RENDERED;
exports.COMPONENT_TREE_RENDERED = COMPONENT_TREE_RENDERED;
var COMPONENT_ACTION_DISPATCHED = _uiInternal.actionTypes.COMPONENT_ACTION_DISPATCHED;
exports.COMPONENT_ACTION_DISPATCHED = COMPONENT_ACTION_DISPATCHED;
var COMPONENT_INTERACTIVE = _uiInternal.actionTypes.COMPONENT_INTERACTIVE; // now namespace

exports.COMPONENT_INTERACTIVE = COMPONENT_INTERACTIVE;
var NOW_HOIST_ATTR = 'now-hoist';
exports.NOW_HOIST_ATTR = NOW_HOIST_ATTR;
var NOW_HOIST_PROP = 'nowHoist';
exports.NOW_HOIST_PROP = NOW_HOIST_PROP;
var NOW_HOIST_APPEND_TO_ATTR = 'now-hoist-append-to';
exports.NOW_HOIST_APPEND_TO_ATTR = NOW_HOIST_APPEND_TO_ATTR;
var NOW_HOIST_PREPEND_TO_ATTR = 'now-hoist-prepend-to';
exports.NOW_HOIST_PREPEND_TO_ATTR = NOW_HOIST_PREPEND_TO_ATTR;
var NOW_HOIST_APPEND_TO_PROP = 'nowHoistAppendTo';
exports.NOW_HOIST_APPEND_TO_PROP = NOW_HOIST_APPEND_TO_PROP;
var NOW_HOIST_PREPEND_TO_PROP = 'nowHoistPrependTo';
exports.NOW_HOIST_PREPEND_TO_PROP = NOW_HOIST_PREPEND_TO_PROP;
var NOW_ID_ATTR = 'now-id';
exports.NOW_ID_ATTR = NOW_ID_ATTR;
var NOW_ID_PROP = 'nowId';
exports.NOW_ID_PROP = NOW_ID_PROP;
var NOW_COMPONENT_NAME_ATTR = 'now-name';
exports.NOW_COMPONENT_NAME_ATTR = NOW_COMPONENT_NAME_ATTR;
var NOW_COMPONENT_NAME_PROP = 'nowName';
exports.NOW_COMPONENT_NAME_PROP = NOW_COMPONENT_NAME_PROP;
var NOW_ENABLE_PROPERTY_SETTING_PREVENTION_ATTR = 'now-enable-property-setting-prevention';
exports.NOW_ENABLE_PROPERTY_SETTING_PREVENTION_ATTR = NOW_ENABLE_PROPERTY_SETTING_PREVENTION_ATTR;
var NOW_ENABLE_PROPERTY_SETTING_PREVENTION_PROP = 'nowEnablePropertySettingPrevention';
exports.NOW_ENABLE_PROPERTY_SETTING_PREVENTION_PROP = NOW_ENABLE_PROPERTY_SETTING_PREVENTION_PROP;
var NOW_LOGGING_LEVELS_PROP = 'nowLoggingLevels';
exports.NOW_LOGGING_LEVELS_PROP = NOW_LOGGING_LEVELS_PROP;
var NOW_PLACEHOLDER_HEIGHT_PROP = 'nowPlaceholderHeight';
exports.NOW_PLACEHOLDER_HEIGHT_PROP = NOW_PLACEHOLDER_HEIGHT_PROP;
var NOW_PLACEHOLDER_WIDTH_PROP = 'nowPlaceholderWidth'; // priorities

exports.NOW_PLACEHOLDER_WIDTH_PROP = NOW_PLACEHOLDER_WIDTH_PROP;
var NOW_PRIORITY_ATTR = 'now-priority';
exports.NOW_PRIORITY_ATTR = NOW_PRIORITY_ATTR;
var NOW_PRIORITY_PROP = 'nowPriority';
exports.NOW_PRIORITY_PROP = NOW_PRIORITY_PROP;
var PRIORITY_LEVEL_LOW = 'low';
exports.PRIORITY_LEVEL_LOW = PRIORITY_LEVEL_LOW;
var PRIORITY_LEVEL_MEDIUM = 'medium'; // modes

exports.PRIORITY_LEVEL_MEDIUM = PRIORITY_LEVEL_MEDIUM;
var NOW_MODE_ATTR = 'now-mode';
exports.NOW_MODE_ATTR = NOW_MODE_ATTR;
var NOW_MODE_PROP = 'nowMode';
exports.NOW_MODE_PROP = NOW_MODE_PROP;
var COMPONENT_MODE_ACTIVE = 'active';
exports.COMPONENT_MODE_ACTIVE = COMPONENT_MODE_ACTIVE;
var COMPONENT_MODE_SUSPEND = 'suspend';
exports.COMPONENT_MODE_SUSPEND = COMPONENT_MODE_SUSPEND;
var COMPONENT_MODE_DETACH = 'detach'; // metrics

exports.COMPONENT_MODE_DETACH = COMPONENT_MODE_DETACH;
var NOW_METRIC_TYPES_PROP = 'nowMetricTypes';
exports.NOW_METRIC_TYPES_PROP = NOW_METRIC_TYPES_PROP;
var NOW_METRICS_LEVEL_PROP = 'nowMetricsLevel';
exports.NOW_METRICS_LEVEL_PROP = NOW_METRICS_LEVEL_PROP;
var NOW_UI_EVENT = 'NOW_UI_EVENT'; // now event types

exports.NOW_UI_EVENT = NOW_UI_EVENT;
var STATE_UPDATED = 'STATE_UPDATED';
exports.STATE_UPDATED = STATE_UPDATED;
var ACTION_DISPATCHED = 'ACTION_DISPATCHED';
exports.ACTION_DISPATCHED = ACTION_DISPATCHED;
var ACTION_HANDLED = 'ACTION_HANDLED';
exports.ACTION_HANDLED = ACTION_HANDLED;
var SCHEDULE_IMMEDIATELY_DO_NOT_USE_OR_YOU_WILL_BE_IMMEDIATELY_FIRED = 'SCHEDULE_IMMEDIATELY_DO_NOT_USE_OR_YOU_WILL_BE_IMMEDIATELY_FIRED';
exports.SCHEDULE_IMMEDIATELY_DO_NOT_USE_OR_YOU_WILL_BE_IMMEDIATELY_FIRED = SCHEDULE_IMMEDIATELY_DO_NOT_USE_OR_YOU_WILL_BE_IMMEDIATELY_FIRED;
var COMPONENT_INTERNAL_ACTION = 'NOW_COMPONENT_INTERNAL_ACTION';
exports.COMPONENT_INTERNAL_ACTION = COMPONENT_INTERNAL_ACTION;
var HELPERS_IMMEDIATE = 'HELPERS_IMMEDIATE';
exports.HELPERS_IMMEDIATE = HELPERS_IMMEDIATE;
var HELPERS_DEFER = 'HELPERS_DEFER';
exports.HELPERS_DEFER = HELPERS_DEFER;
var HELPERS_SCHEDULED = 'HELPERS_SCHEDULED';
exports.HELPERS_SCHEDULED = HELPERS_SCHEDULED;
var PACKAGE_NAME = '@servivcenow/ui-core';
exports.PACKAGE_NAME = PACKAGE_NAME;
var SHADOW_ROOT_MODE_CLOSED = 'closed';
exports.SHADOW_ROOT_MODE_CLOSED = SHADOW_ROOT_MODE_CLOSED;
var SHADOW_ROOT_MODE_OPEN = 'open';
exports.SHADOW_ROOT_MODE_OPEN = SHADOW_ROOT_MODE_OPEN;
var COMPONENT_STATE_UPDATED = 'SEISMIC_COMPONENT_STATE_UPDATED'; // Avoid re-render prop used to avoid component re-render if new & old states are same

exports.COMPONENT_STATE_UPDATED = COMPONENT_STATE_UPDATED;
var NOW_AVOID_RENDER_PROP = 'nowAvoidRender';
exports.NOW_AVOID_RENDER_PROP = NOW_AVOID_RENDER_PROP;
var ARIA_LIVE_REGION_UPDATE_REQUESTED = 'SEISMIC_ARIA_LIVE_REGION_UPDATE_REQUESTED';
exports.ARIA_LIVE_REGION_UPDATE_REQUESTED = ARIA_LIVE_REGION_UPDATE_REQUESTED;
var ARIA_LIVE_POLITE = 'polite';
exports.ARIA_LIVE_POLITE = ARIA_LIVE_POLITE;
var ARIA_LIVE_ASSERTIVE = 'assertive';
exports.ARIA_LIVE_ASSERTIVE = ARIA_LIVE_ASSERTIVE;
//# sourceMappingURL=constants.js.map