/**
 * Copyright (c) 2020 ServiceNow, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *  
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *  
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = validateContext;

var _getComponentName = _interopRequireDefault(require("../utils/schema/getComponentName"));

var _validateSchema = _interopRequireDefault(require("../utils/schema/validate/validateSchema"));

var _contexts = _interopRequireDefault(require("./contexts"));

var _uiUtils = require("@servicenow/ui-utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function validateContext(context, host) {
  if ((0, _uiUtils.isPlainObject)(context)) {
    var contextKeys = Reflect.ownKeys(context);

    for (var i = 0; i < contextKeys.length; i++) {
      var k = contextKeys[i];

      if (_contexts["default"].has(k)) {
        var _contexts$get = _contexts["default"].get(k),
            validate = _contexts$get.validate;

        (0, _validateSchema["default"])(validate, context[k], {
          errorPrefix: "Context property for ".concat((0, _getComponentName["default"])(host), ": ")
        });
      }
    }
  }
}
//# sourceMappingURL=validateContext.js.map