/**
 * Copyright (c) 2020 ServiceNow, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *  
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *  
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "getStats", {
  enumerable: true,
  get: function get() {
    return _stats.get;
  }
});
Object.defineProperty(exports, "whenComponentIsIdle", {
  enumerable: true,
  get: function get() {
    return _whenComponentIsIdle["default"];
  }
});
Object.defineProperty(exports, "whenAllComponentsIdle", {
  enumerable: true,
  get: function get() {
    return _whenComponentIsIdle.whenAllComponentsIdle;
  }
});
Object.defineProperty(exports, "errorLocations", {
  enumerable: true,
  get: function get() {
    return _uiInternal.locations;
  }
});
Object.defineProperty(exports, "logTypes", {
  enumerable: true,
  get: function get() {
    return _uiInternal.allLogTypes;
  }
});
Object.defineProperty(exports, "unstableAddRenderOnPropertySelectorValueChange", {
  enumerable: true,
  get: function get() {
    return _propertySelectors.unstableAddRenderOnPropertySelectorValueChange;
  }
});
Object.defineProperty(exports, "unstableRemoveRenderOnPropertySelectorValueChange", {
  enumerable: true,
  get: function get() {
    return _propertySelectors.unstableRemoveRenderOnPropertySelectorValueChange;
  }
});
Object.defineProperty(exports, "modifierTypes", {
  enumerable: true,
  get: function get() {
    return _effects.modifierTypes;
  }
});
Object.defineProperty(exports, "declarativeOperations", {
  enumerable: true,
  get: function get() {
    return _utils.declarativeOperations;
  }
});
Object.defineProperty(exports, "getAncestorNode", {
  enumerable: true,
  get: function get() {
    return _utils.getAncestorNode;
  }
});
Object.defineProperty(exports, "createContext", {
  enumerable: true,
  get: function get() {
    return _createContext["default"];
  }
});
exports.unstableResolvePropertySelectorValue = exports.getComponentInstances = exports.getComponentById = exports.contextViewKey = exports.ariaLiveRegionIds = exports.componentModes = exports.nowPriorityLevels = exports.shadowRootModes = exports.actionTypes = exports.createPresentationalCustomElement = exports.createCustomElement = void 0;

var _stats = require("./stats");

var _whenComponentIsIdle = _interopRequireWildcard(require("./whenComponentIsIdle"));

var _createCustomElementFactory = _interopRequireDefault(require("./createCustomElementFactory"));

var _uiInternal = require("@servicenow/ui-internal");

var _constants = require("./constants");

var _propertySelectors = require("./property-selectors");

var _effects = require("./effects");

var _utils = require("./utils");

var _createContext = _interopRequireDefault(require("./context/createContext"));

var _ariaLiveRegion = require("./accessibility/ariaLiveRegion");

var _symbols = require("./symbols");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var componentModes = {
  SUSPEND: _constants.COMPONENT_MODE_SUSPEND,
  ACTIVE: _constants.COMPONENT_MODE_ACTIVE,
  DETACH: _constants.COMPONENT_MODE_DETACH
};
exports.componentModes = componentModes;
var shadowRootModes = {
  OPEN: _constants.SHADOW_ROOT_MODE_OPEN,
  CLOSED: _constants.SHADOW_ROOT_MODE_CLOSED
};
exports.shadowRootModes = shadowRootModes;
var nowPriorityLevels = {
  LOW: _constants.PRIORITY_LEVEL_LOW,
  MEDIUM: _constants.PRIORITY_LEVEL_MEDIUM
};
exports.nowPriorityLevels = nowPriorityLevels;
var componentRegistry = {};
var unstableResolvePropertySelectorValue = (0, _propertySelectors.createUnstableResolvePropertySelectorValue)(componentRegistry);
exports.unstableResolvePropertySelectorValue = unstableResolvePropertySelectorValue;
var createCustomElement = (0, _createCustomElementFactory["default"])(componentRegistry);
exports.createCustomElement = createCustomElement;
var createPresentationalCustomElement = (0, _createCustomElementFactory["default"])(componentRegistry, {
  presentational: true
});
exports.createPresentationalCustomElement = createPresentationalCustomElement;

var actionTypes = _objectSpread(_objectSpread({}, _uiInternal.actionTypes), {}, {
  ARIA_LIVE_REGION_UPDATE_REQUESTED: _constants.ARIA_LIVE_REGION_UPDATE_REQUESTED
});

exports.actionTypes = actionTypes;
var ariaLiveRegionIds = {
  polite: _ariaLiveRegion.politeId,
  assertive: _ariaLiveRegion.assertiveId
};
exports.ariaLiveRegionIds = ariaLiveRegionIds;
var contextViewKey = _symbols.CONTEXT_VIEW_KEY;
exports.contextViewKey = contextViewKey;

var getComponentById = function getComponentById(id) {
  return componentRegistry[id];
};

exports.getComponentById = getComponentById;

var getComponentInstances = function getComponentInstances() {
  return _objectSpread({}, componentRegistry);
};

exports.getComponentInstances = getComponentInstances;
(0, _stats.defineRegistry)(componentRegistry);
window.nowUiFramework = window.nowUiFramework || {};
window.nowUiFramework.core = {
  getStats: _stats.get
};
//# sourceMappingURL=index.js.map