/**
 * Copyright (c) 2020 ServiceNow, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *  
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *  
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "resolveSelectedProperty", {
  enumerable: true,
  get: function get() {
    return _resolveSelectedProperty["default"];
  }
});
Object.defineProperty(exports, "resolveSelectedProperties", {
  enumerable: true,
  get: function get() {
    return _resolveSelectedProperties["default"];
  }
});
Object.defineProperty(exports, "getSelectorParts", {
  enumerable: true,
  get: function get() {
    return _getSelectorParts["default"];
  }
});
Object.defineProperty(exports, "isSelectableProperty", {
  enumerable: true,
  get: function get() {
    return _isSelectableProperty["default"];
  }
});
Object.defineProperty(exports, "isSelector", {
  enumerable: true,
  get: function get() {
    return _isSelector["default"];
  }
});
Object.defineProperty(exports, "createUnstableResolvePropertySelectorValue", {
  enumerable: true,
  get: function get() {
    return _createUnstableResolvePropertySelectorValue["default"];
  }
});
Object.defineProperty(exports, "unstableAddRenderOnPropertySelectorValueChange", {
  enumerable: true,
  get: function get() {
    return _unstableAddRenderOnPropertySelectorValueChange["default"];
  }
});
Object.defineProperty(exports, "unstableRemoveRenderOnPropertySelectorValueChange", {
  enumerable: true,
  get: function get() {
    return _unstableRemoveRenderOnPropertySelectorValueChange["default"];
  }
});
exports.getComponentAffected = exports.getAffected = exports.removeMappings = exports.addMapping = void 0;

var _createAddMapping = _interopRequireDefault(require("./createAddMapping"));

var _createRemoveMappings = _interopRequireDefault(require("./createRemoveMappings"));

var _createGetAffected = _interopRequireDefault(require("./createGetAffected"));

var _createGetComponentAffected = _interopRequireDefault(require("./createGetComponentAffected"));

var _resolveSelectedProperty = _interopRequireDefault(require("./resolveSelectedProperty"));

var _resolveSelectedProperties = _interopRequireDefault(require("./resolveSelectedProperties"));

var _getSelectorParts = _interopRequireDefault(require("./getSelectorParts"));

var _isSelectableProperty = _interopRequireDefault(require("./isSelectableProperty"));

var _isSelector = _interopRequireDefault(require("./isSelector"));

var _createUnstableResolvePropertySelectorValue = _interopRequireDefault(require("./createUnstableResolvePropertySelectorValue"));

var _unstableAddRenderOnPropertySelectorValueChange = _interopRequireDefault(require("./unstableAddRenderOnPropertySelectorValueChange"));

var _unstableRemoveRenderOnPropertySelectorValueChange = _interopRequireDefault(require("./unstableRemoveRenderOnPropertySelectorValueChange"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var mappings = {};
var addMapping = (0, _createAddMapping["default"])(mappings);
exports.addMapping = addMapping;
var removeMappings = (0, _createRemoveMappings["default"])(mappings);
exports.removeMappings = removeMappings;
var getAffected = (0, _createGetAffected["default"])(mappings);
exports.getAffected = getAffected;
var getComponentAffected = (0, _createGetComponentAffected["default"])(mappings);
exports.getComponentAffected = getComponentAffected;
//# sourceMappingURL=index.js.map