/**
 * Copyright (c) 2020 ServiceNow, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *  
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *  
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CONTEXT_RESOLVED_VALUE = exports.CONTEXT_VIEW_KEY = exports.CONTEXT = exports.CONNECTED_DEFERRED_TIMESTAMP = exports.RENDERED_ONCE_TIMESTAMP = exports.TREE_RENDERED_ONCE_TIMESTAMP = exports.SELECTABLE_PROPERTIES = exports.CHILDREN_TO_BE_INTERACTIVE = exports.CONNECTED_TIMESTAMP = exports.INTERACTIVE_TIMESTAMP = exports.LOW_PRIORITY_PENDING = exports.DETACHED_COMPONENT_PROPERTY_MAP = exports.DETACHED_SHADOW_ROOT_CHILDREN_FRAGMENT = exports.REMOVE_INTERSECTED_STYLES = exports.INTERSECTION_TRIGGERED = exports.INTERSECTED = exports.USING_INTERSECTION_OBSERVER = exports.RUNTIME_ACTION_HANDLERS = exports.UPDATE_AFFECTED_COMPONENTS = exports.ANCESTOR_ROOT_NODE = exports.NEEDS_TO_KNOW_ABOUT_TREE_RENDERS = exports.NOTIFY_PARENT_THAT_CHILD_TREE_HAS_RENDERED = exports.NOTIFY_PARENT_THAT_CHILD_IS_RENDERING = exports.CHILD_HAS_RENDERED = exports.CHILD_IS_RENDERING = exports.CHECK_IF_TREE_RENDERED = exports.CHILDREN_TO_BE_RENDERED = exports.PREVIOUS_TREE_RENDER_PROPERTIES = exports.PREVIOUS_TREE_RENDER_STATE = exports.PREVIOUS_RENDER_PROPERTIES = exports.PREVIOUS_RENDER_STATE = exports.CONNECTED_HANDLED = exports.BOOTSTRAPPED_HANDLED = exports.HOIST_COMPOSED_PATH = exports.SET_PROPERTY = exports.HOIST_PARENT_CHANGED = exports.HOIST_CHANGED = exports.GET_RESOLVED_PROPERTY = exports.STYLE_PROXY = exports.TARGETED_ACTION_TYPES = exports.RETARGETED_ACTION_TYPES = exports.HELPERS_SCHEDULED = exports.HELPERS_DEFER = exports.HELPERS_IMMEDIATE = exports.TREE_RENDERED_ONCE = exports.RENDERED_ONCE = exports.REMOVE_ACTION_HANDLERS = exports.CONFIG = exports.BOOTSTRAP_LIFECYCLE_RAN = exports.LIFE_CYCLE_COEFFECTS = exports.EVENT_HANDLERS = exports.LAST_STATE_CHANGE = exports.LAST_STATE_RENDERED = exports.RENDER_SCHEDULED = exports.LAST_HANDLE_STATE_CHANGE = exports.RENDER = exports.DEFERRED = exports.UNHOIST = exports.ATTACHED_ROOT_NODE = exports.VERSION = exports.ROOT_NODE = exports.CONDITIONAL_DISPATCH = exports.DISPATCH = exports.ACTION_HANDLERS = exports.ACTIONS = exports.PROPS = exports.STATE = exports.PROPERTY_DEFS = exports.CONNECTED = exports.COMPONENT_ID = exports.VARIABLES = exports.PRESENTATIONAL = void 0;
var PRESENTATIONAL = Symbol('__presentational__');
exports.PRESENTATIONAL = PRESENTATIONAL;
var VARIABLES = Symbol('__variables__');
exports.VARIABLES = VARIABLES;
var COMPONENT_ID = Symbol('__componentId__');
exports.COMPONENT_ID = COMPONENT_ID;
var CONNECTED = Symbol('__connected__');
exports.CONNECTED = CONNECTED;
var PROPERTY_DEFS = Symbol('__propertyDefs__');
exports.PROPERTY_DEFS = PROPERTY_DEFS;
var STATE = Symbol('__state__');
exports.STATE = STATE;
var PROPS = Symbol('__props__');
exports.PROPS = PROPS;
var ACTIONS = Symbol('__actions__');
exports.ACTIONS = ACTIONS;
var ACTION_HANDLERS = Symbol('__actionHandlers__');
exports.ACTION_HANDLERS = ACTION_HANDLERS;
var DISPATCH = Symbol('__dispatch__');
exports.DISPATCH = DISPATCH;
var CONDITIONAL_DISPATCH = Symbol('__conditional_dispatch__');
exports.CONDITIONAL_DISPATCH = CONDITIONAL_DISPATCH;
var ROOT_NODE = Symbol('__rootNode__');
exports.ROOT_NODE = ROOT_NODE;
var VERSION = Symbol('__version__');
exports.VERSION = VERSION;
var ATTACHED_ROOT_NODE = Symbol('__attached_root_node__');
exports.ATTACHED_ROOT_NODE = ATTACHED_ROOT_NODE;
var UNHOIST = '__unHoist__';
exports.UNHOIST = UNHOIST;
var DEFERRED = '__deferred__';
exports.DEFERRED = DEFERRED;
var RENDER = Symbol('__render__');
exports.RENDER = RENDER;
var LAST_HANDLE_STATE_CHANGE = Symbol('__last_handle_state_change__');
exports.LAST_HANDLE_STATE_CHANGE = LAST_HANDLE_STATE_CHANGE;
var RENDER_SCHEDULED = Symbol('__render_scheduled__');
exports.RENDER_SCHEDULED = RENDER_SCHEDULED;
var LAST_STATE_RENDERED = Symbol('__last_state_rendered__');
exports.LAST_STATE_RENDERED = LAST_STATE_RENDERED;
var LAST_STATE_CHANGE = Symbol('__last_state_change__');
exports.LAST_STATE_CHANGE = LAST_STATE_CHANGE;
var EVENT_HANDLERS = Symbol('__event_handlers__');
exports.EVENT_HANDLERS = EVENT_HANDLERS;
var LIFE_CYCLE_COEFFECTS = Symbol('__life_cycle_coeffects__');
exports.LIFE_CYCLE_COEFFECTS = LIFE_CYCLE_COEFFECTS;
var BOOTSTRAP_LIFECYCLE_RAN = Symbol('__bootstrap_lifecycle_ran__');
exports.BOOTSTRAP_LIFECYCLE_RAN = BOOTSTRAP_LIFECYCLE_RAN;
var CONFIG = Symbol('__config__');
exports.CONFIG = CONFIG;
var REMOVE_ACTION_HANDLERS = Symbol('__remove_action_handlers__');
exports.REMOVE_ACTION_HANDLERS = REMOVE_ACTION_HANDLERS;
var RENDERED_ONCE = Symbol('__renders__');
exports.RENDERED_ONCE = RENDERED_ONCE;
var TREE_RENDERED_ONCE = Symbol('__tree_renders__');
exports.TREE_RENDERED_ONCE = TREE_RENDERED_ONCE;
var HELPERS_IMMEDIATE = Symbol('__helpers_immediate__');
exports.HELPERS_IMMEDIATE = HELPERS_IMMEDIATE;
var HELPERS_DEFER = Symbol('__helpers_defer__');
exports.HELPERS_DEFER = HELPERS_DEFER;
var HELPERS_SCHEDULED = Symbol('__helpers_defer__');
exports.HELPERS_SCHEDULED = HELPERS_SCHEDULED;
var RETARGETED_ACTION_TYPES = Symbol('__retargeted_action_types__');
exports.RETARGETED_ACTION_TYPES = RETARGETED_ACTION_TYPES;
var TARGETED_ACTION_TYPES = Symbol('__targeted_action_types__');
exports.TARGETED_ACTION_TYPES = TARGETED_ACTION_TYPES;
var STYLE_PROXY = Symbol('__style_proxy__');
exports.STYLE_PROXY = STYLE_PROXY;
var GET_RESOLVED_PROPERTY = Symbol('__get_resolved_property__');
exports.GET_RESOLVED_PROPERTY = GET_RESOLVED_PROPERTY;
var HOIST_CHANGED = Symbol('__hoist_changed__');
exports.HOIST_CHANGED = HOIST_CHANGED;
var HOIST_PARENT_CHANGED = Symbol('__hoist_parent_changed__');
exports.HOIST_PARENT_CHANGED = HOIST_PARENT_CHANGED;
var SET_PROPERTY = Symbol('__set_property__');
exports.SET_PROPERTY = SET_PROPERTY;
var HOIST_COMPOSED_PATH = Symbol('__hoist_composed_path__');
exports.HOIST_COMPOSED_PATH = HOIST_COMPOSED_PATH;
var BOOTSTRAPPED_HANDLED = Symbol('__bootstrapped_handled__');
exports.BOOTSTRAPPED_HANDLED = BOOTSTRAPPED_HANDLED;
var CONNECTED_HANDLED = Symbol('__connected_handled__');
exports.CONNECTED_HANDLED = CONNECTED_HANDLED;
var PREVIOUS_RENDER_STATE = Symbol('__previous_render_state__');
exports.PREVIOUS_RENDER_STATE = PREVIOUS_RENDER_STATE;
var PREVIOUS_RENDER_PROPERTIES = Symbol('__previous_render_properties__');
exports.PREVIOUS_RENDER_PROPERTIES = PREVIOUS_RENDER_PROPERTIES;
var PREVIOUS_TREE_RENDER_STATE = Symbol('__previous_tree_render_state__');
exports.PREVIOUS_TREE_RENDER_STATE = PREVIOUS_TREE_RENDER_STATE;
var PREVIOUS_TREE_RENDER_PROPERTIES = Symbol('__previous_tree_render_properties__');
exports.PREVIOUS_TREE_RENDER_PROPERTIES = PREVIOUS_TREE_RENDER_PROPERTIES;
var CHILDREN_TO_BE_RENDERED = Symbol('__children_to_be_rendered__');
exports.CHILDREN_TO_BE_RENDERED = CHILDREN_TO_BE_RENDERED;
var CHECK_IF_TREE_RENDERED = Symbol('__check_if_tree_rendered__');
exports.CHECK_IF_TREE_RENDERED = CHECK_IF_TREE_RENDERED;
var CHILD_IS_RENDERING = Symbol('__child_is_rendering__');
exports.CHILD_IS_RENDERING = CHILD_IS_RENDERING;
var CHILD_HAS_RENDERED = Symbol('__child_has_rendered__');
exports.CHILD_HAS_RENDERED = CHILD_HAS_RENDERED;
var NOTIFY_PARENT_THAT_CHILD_IS_RENDERING = Symbol('__notify_parent_that_child_is_rendering__');
exports.NOTIFY_PARENT_THAT_CHILD_IS_RENDERING = NOTIFY_PARENT_THAT_CHILD_IS_RENDERING;
var NOTIFY_PARENT_THAT_CHILD_TREE_HAS_RENDERED = Symbol('__notify_parent_that_child_tree_has_rendered__');
exports.NOTIFY_PARENT_THAT_CHILD_TREE_HAS_RENDERED = NOTIFY_PARENT_THAT_CHILD_TREE_HAS_RENDERED;
var NEEDS_TO_KNOW_ABOUT_TREE_RENDERS = Symbol('__needs_to_know_about_tree_renders__');
exports.NEEDS_TO_KNOW_ABOUT_TREE_RENDERS = NEEDS_TO_KNOW_ABOUT_TREE_RENDERS;
var ANCESTOR_ROOT_NODE = Symbol('__ancestor_root_node__');
exports.ANCESTOR_ROOT_NODE = ANCESTOR_ROOT_NODE;
var UPDATE_AFFECTED_COMPONENTS = Symbol('__update_affected_components__');
exports.UPDATE_AFFECTED_COMPONENTS = UPDATE_AFFECTED_COMPONENTS;
var RUNTIME_ACTION_HANDLERS = Symbol('__runtime_action_handlers__');
exports.RUNTIME_ACTION_HANDLERS = RUNTIME_ACTION_HANDLERS;
var USING_INTERSECTION_OBSERVER = Symbol('__using_intersection_observer__');
exports.USING_INTERSECTION_OBSERVER = USING_INTERSECTION_OBSERVER;
var INTERSECTED = Symbol('__intersected__');
exports.INTERSECTED = INTERSECTED;
var INTERSECTION_TRIGGERED = Symbol('__intersection_triggered__');
exports.INTERSECTION_TRIGGERED = INTERSECTION_TRIGGERED;
var REMOVE_INTERSECTED_STYLES = Symbol('__remove_intersected_styles__');
exports.REMOVE_INTERSECTED_STYLES = REMOVE_INTERSECTED_STYLES;
var DETACHED_SHADOW_ROOT_CHILDREN_FRAGMENT = Symbol('__detached_shadow_root_children_fragment__');
exports.DETACHED_SHADOW_ROOT_CHILDREN_FRAGMENT = DETACHED_SHADOW_ROOT_CHILDREN_FRAGMENT;
var DETACHED_COMPONENT_PROPERTY_MAP = Symbol('__detached_component_property_map__');
exports.DETACHED_COMPONENT_PROPERTY_MAP = DETACHED_COMPONENT_PROPERTY_MAP;
var LOW_PRIORITY_PENDING = Symbol('__low_priority_pending__');
exports.LOW_PRIORITY_PENDING = LOW_PRIORITY_PENDING;
var INTERACTIVE_TIMESTAMP = Symbol('__interactive_timestamp__');
exports.INTERACTIVE_TIMESTAMP = INTERACTIVE_TIMESTAMP;
var CONNECTED_TIMESTAMP = Symbol('__connected_timestamp__');
exports.CONNECTED_TIMESTAMP = CONNECTED_TIMESTAMP;
var CHILDREN_TO_BE_INTERACTIVE = Symbol('__children_to_be_interactive__');
exports.CHILDREN_TO_BE_INTERACTIVE = CHILDREN_TO_BE_INTERACTIVE;
var SELECTABLE_PROPERTIES = Symbol('__SELECTABLE_PROPERTIES__');
exports.SELECTABLE_PROPERTIES = SELECTABLE_PROPERTIES;
var TREE_RENDERED_ONCE_TIMESTAMP = Symbol('__tree_rendered_once_timestamp__');
exports.TREE_RENDERED_ONCE_TIMESTAMP = TREE_RENDERED_ONCE_TIMESTAMP;
var RENDERED_ONCE_TIMESTAMP = Symbol('__rendered_once_timestamp__');
exports.RENDERED_ONCE_TIMESTAMP = RENDERED_ONCE_TIMESTAMP;
var CONNECTED_DEFERRED_TIMESTAMP = Symbol('__connected_deferred_timestamp__');
exports.CONNECTED_DEFERRED_TIMESTAMP = CONNECTED_DEFERRED_TIMESTAMP;
var CONTEXT = Symbol('__context__');
exports.CONTEXT = CONTEXT;
var CONTEXT_VIEW_KEY = Symbol('__context_view_key__');
exports.CONTEXT_VIEW_KEY = CONTEXT_VIEW_KEY;
var CONTEXT_RESOLVED_VALUE = Symbol('__context_resolved_value__');
exports.CONTEXT_RESOLVED_VALUE = CONTEXT_RESOLVED_VALUE;
//# sourceMappingURL=symbols.js.map