/**
 * Copyright (c) 2020 ServiceNow, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *  
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *  
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mergeActions = mergeActions;

var _normalizeActionHandler = require("./normalizeActionHandler");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

// TODO: this format should be deprecated in paris
function mergeActions(actionHandlers, actions, tagName) {
  for (var k in actions) {
    var _actions$k = actions[k],
        _actions$k$handlers = _actions$k.handlers,
        handlers = _actions$k$handlers === void 0 ? [] : _actions$k$handlers,
        actionEffect = _actions$k.effect,
        actionArgs = _actions$k.args,
        actionInterceptors = _actions$k.interceptors,
        isPrivate = _actions$k["private"];
    var handlersCount = handlers.length;
    actionHandlers[k] = actionHandlers[k] || []; // eslint-disable-line no-param-reassign

    for (var i = 0; i < handlersCount; i++) {
      var handler = handlers[i];
      var effect = handler.effect;

      var _ref = effect || handler,
          fn = _ref.fn,
          _ref$args = _ref.args,
          args = _ref$args === void 0 ? [] : _ref$args;

      if (typeof fn === 'function') {
        var interceptors = handler.interceptors;
        actionHandlers[k].push((0, _normalizeActionHandler.normalizeActionHandler)({
          effect: fn,
          args: args,
          interceptors: interceptors,
          "private": isPrivate
        }, tagName));
      } else {
        actionHandlers[k].push((0, _normalizeActionHandler.normalizeActionHandler)(_objectSpread(_objectSpread({}, handler), {}, {
          "private": isPrivate
        }), tagName));
      }
    }

    if (handlersCount === 0 && isPrivate || actionEffect || actionInterceptors) {
      actionHandlers[k].push((0, _normalizeActionHandler.normalizeActionHandler)({
        effect: actionEffect || function () {
          return {};
        },
        interceptors: actionInterceptors,
        args: actionArgs,
        "private": isPrivate
      }, tagName));
    }
  }

  return actionHandlers;
}
//# sourceMappingURL=mergeActions.js.map