/**
 * Copyright (c) 2020 ServiceNow, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *  
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *  
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _uiInternal = require("@servicenow/ui-internal");

var _symbols = require("../symbols");

var _filterPropertyDefinitions = _interopRequireDefault(require("./filterPropertyDefinitions"));

var _getHostVariables = _interopRequireDefault(require("./getHostVariables"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var filterComputedProperties = (0, _uiInternal.memoize)(function (host) {
  var hostVariables = (0, _getHostVariables["default"])(host);
  return (0, _filterPropertyDefinitions["default"])(hostVariables[_symbols.PROPERTY_DEFS], function (d) {
    return d.computed;
  });
}, {
  createCacheKey: function createCacheKey(host) {
    return host.tagName;
  },
  profileName: 'filterComputedProperties'
});
var _default = filterComputedProperties;
exports["default"] = _default;
//# sourceMappingURL=filterComputedProperties.js.map