/**
 * Copyright (c) 2020 ServiceNow, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *  
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *  
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _uiConfig = require("@servicenow/ui-config");

var _symbols = require("../symbols");

var INTERSECT_ROOT_MARGIN = _uiConfig.configConstants.INTERSECT_ROOT_MARGIN;

function intersection(entries) {
  entries.forEach(function (entry) {
    if (entry.isIntersecting) {
      entry.target[_symbols.INTERSECTION_TRIGGERED]();

      observer.unobserve(entry.target);
    }
  });
} // The distance away from the viewport when a component should render


var VIEWPORT_INTERSECTION_MARGIN = (0, _uiConfig.getConfigItem)(INTERSECT_ROOT_MARGIN);
var options = {
  rootMargin: VIEWPORT_INTERSECTION_MARGIN
};
var observer;
if (!window.IntersectionObserver) observer = {
  observe: function observe() {},
  unobserve: function unobserve() {}
};else observer = new IntersectionObserver(intersection, options);
var _default = observer;
exports["default"] = _default;
//# sourceMappingURL=intersectionObserver.js.map