/**
 * Copyright (c) 2020 ServiceNow, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *  
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *  
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isPropToSkipRender = void 0;

var _uiInternal = require("@servicenow/ui-internal");

var _constants = require("../constants");

var skipRenderPropsList = [_constants.NOW_METRIC_TYPES_PROP, _constants.NOW_METRICS_LEVEL_PROP, _constants.NOW_LOGGING_LEVELS_PROP];
var isPropToSkipRender = (0, _uiInternal.memoize)(function (_tagName, propName, propDef) {
  return skipRenderPropsList.includes(propName) || (propDef === null || propDef === void 0 ? void 0 : propDef.shouldRenderWhenSet) === false;
}, {
  createCacheKey: function createCacheKey(tagName, propName) {
    return "".concat(tagName, "|").concat(propName);
  },
  profileName: "isPropToSkipRender"
});
exports.isPropToSkipRender = isPropToSkipRender;
//# sourceMappingURL=isPropToSkipRender.js.map