/**
 * Copyright (c) 2020 ServiceNow, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *  
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *  
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = resolveRenderer;

var _defaults = require("../defaults");

var _uiInternal = require("@servicenow/ui-internal");

function resolveRenderer() {
  var config = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var type = (0, _uiInternal.get)(config, 'renderer.type', config.type || _defaults.DEFAULT_RENDERER.type);
  var coeffects = (0, _uiInternal.get)(config, 'renderer.coeffects', null);
  var transformProps = (0, _uiInternal.get)(config, 'renderer.transformProps', config.transformProps || _defaults.DEFAULT_RENDERER.transformState);
  var transformState = (0, _uiInternal.get)(config, 'renderer.transformState', config.transformState || transformProps);
  var view = (0, _uiInternal.get)(config, 'renderer.view', config.view || _defaults.DEFAULT_RENDERER.view);
  return {
    type: type,
    transformState: transformState,
    view: view,
    coeffects: coeffects
  };
}
//# sourceMappingURL=resolveRenderer.js.map