/**
 * Copyright (c) 2020 ServiceNow, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *  
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *  
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
import { getHostVariables } from '../utils';
import { HELPERS_IMMEDIATE, HOIST_COMPOSED_PATH } from '../symbols';
export function onActionHoisted(targetEl, targetSelector, host, actionType, action = {}) {
  const {
    type,
    payload,
    meta,
    error
  } = action;
  const hostVariables = getHostVariables(host); // stop this event from propagating, since we'll turn around and redispatch
  // from the original host

  if (meta.event) meta.event.stopPropagation();
  hostVariables[HELPERS_IMMEDIATE].dispatch(type, payload, { ...meta,
    retargeted: true,
    [HOIST_COMPOSED_PATH]: meta.event.composedPath()
  }, error);
}
//# sourceMappingURL=onActionHoisted.js.map