/**
 * Copyright (c) 2020 ServiceNow, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *  
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *  
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
// TODO: move to const internalActionTypes.NAME
import { STORE_UPDATED, COMPONENT_CONNECTED, COMPONENT_DISCONNECTED, COMPONENT_BOOTSTRAPPED, COMPONENT_PROPERTY_CHANGED, COMPONENT_RENDERED, COMPONENT_DOM_READY, SET_INITIAL_STATE, NOW_UI_EVENT, PROPERTIES_SET, DISPATCH_EVENT, COMPONENT_PROPERTY_UPDATE_REQUESTED, COMPONENT_RENDER_REQUESTED } from '../../constants';
const internalActionTypes = {
  PROPERTIES_SET,
  DISPATCH_EVENT,
  STORE_UPDATED,
  COMPONENT_CONNECTED,
  COMPONENT_DISCONNECTED,
  COMPONENT_BOOTSTRAPPED,
  COMPONENT_PROPERTY_CHANGED,
  COMPONENT_RENDERED,
  COMPONENT_DOM_READY,
  SET_INITIAL_STATE,
  NOW_UI_EVENT,
  COMPONENT_ERROR_THROWN: 'SEISMIC_COMPONENT_ERROR_THROWN',
  COMPONENT_PROPERTY_UPDATE_REQUESTED,
  COMPONENT_RENDER_REQUESTED
}; // TODO: memoize

export function getInternalActionName(type) {
  for (const k in internalActionTypes) {
    if (internalActionTypes[k] === type) return k;
  }
}
//# sourceMappingURL=getInternalActionName.js.map