/**
 * Copyright (c) 2020 ServiceNow, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *  
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *  
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
import { COMPONENT_BOOTSTRAPPED, COMPONENT_CONNECTED, COMPONENT_DISCONNECTED, COMPONENT_MODE_DETACH, COMPONENT_PROPERTY_CHANGED, NOW_MODE_PROP } from '../../constants';
export function skipForDetachedComponent(host, type, payload) {
  if (host[NOW_MODE_PROP] !== COMPONENT_MODE_DETACH) return false;
  const allowedLifeCycleActions = [COMPONENT_CONNECTED, COMPONENT_BOOTSTRAPPED, COMPONENT_DISCONNECTED];
  if (allowedLifeCycleActions.includes(type)) return false;
  if (type !== COMPONENT_PROPERTY_CHANGED) return true;
  return payload.name !== NOW_MODE_PROP;
}
//# sourceMappingURL=skipForDetachedComponent.js.map