/**
 * Copyright (c) 2020 ServiceNow, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *  
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *  
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
import createAddMapping from './createAddMapping';
import createRemoveMappings from './createRemoveMappings';
import createGetAffected from './createGetAffected';
import createGetComponentAffected from './createGetComponentAffected';
const mappings = {};
export const addMapping = createAddMapping(mappings);
export const removeMappings = createRemoveMappings(mappings);
export const getAffected = createGetAffected(mappings);
export const getComponentAffected = createGetComponentAffected(mappings);
export { default as resolveSelectedProperty } from './resolveSelectedProperty';
export { default as resolveSelectedProperties } from './resolveSelectedProperties';
export { default as getSelectorParts } from './getSelectorParts';
export { default as isSelectableProperty } from './isSelectableProperty';
export { default as isSelector } from './isSelector'; // Unstable APIs

export { default as createUnstableResolvePropertySelectorValue } from './createUnstableResolvePropertySelectorValue';
export { default as unstableAddRenderOnPropertySelectorValueChange } from './unstableAddRenderOnPropertySelectorValueChange';
export { default as unstableRemoveRenderOnPropertySelectorValueChange } from './unstableRemoveRenderOnPropertySelectorValueChange';
//# sourceMappingURL=index.js.map