/**
 * Copyright (c) 2020 ServiceNow, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *  
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *  
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
import { sandbox, locations } from '@servicenow/ui-internal';
import { camelCaseProperties, unescapeReservedCharacters, resolveComputedProperties } from '../utils';
import reflectProperties from './reflectProperties';
import log from '../log';
export { reflectProperty } from './reflectProperties';
export default function shapeRenderData(state, host, hostVariables, transform, dispatch, interactionId) {
  const transformedState = reflectProperties(unescapeReservedCharacters(resolveComputedProperties(camelCaseProperties(state), host, hostVariables, interactionId)), host, interactionId);
  return sandbox(transform, {
    args: [transformedState],
    host,
    location: locations.TRANSFORM_STATE,
    dispatch,
    log
  }) || transformedState;
}
//# sourceMappingURL=index.js.map