/**
 * Copyright (c) 2020 ServiceNow, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *  
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *  
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
import { COMPONENT_CONNECTED, COMPONENT_DISCONNECTED, COMPONENT_BOOTSTRAPPED, COMPONENT_RENDERED, COMPONENT_DOM_READY, COMPONENT_PROPERTY_CHANGED, COMPONENT_PROPERTY_UPDATE_REQUESTED, COMPONENT_RENDER_REQUESTED, COMPONENT_DOM_TREE_READY, COMPONENT_TREE_RENDERED, COMPONENT_STATE_UPDATED, COMPONENT_INTERACTIVE } from '../../constants';
const actions = {
  COMPONENT_CONNECTED,
  COMPONENT_DISCONNECTED,
  COMPONENT_BOOTSTRAPPED,
  COMPONENT_RENDERED,
  COMPONENT_DOM_READY,
  COMPONENT_PROPERTY_CHANGED,
  COMPONENT_PROPERTY_UPDATE_REQUESTED,
  COMPONENT_RENDER_REQUESTED,
  COMPONENT_DOM_TREE_READY,
  COMPONENT_TREE_RENDERED,
  COMPONENT_STATE_UPDATED,
  COMPONENT_INTERACTIVE
};
export function getActionsToDispatch(interceptors) {
  const shouldDispatch = {};

  for (const k in actions) {
    const type = actions[k];
    const intercpetorsByType = interceptors[type];
    if (intercpetorsByType && intercpetorsByType.has('host')) shouldDispatch[type] = true;
  }

  return shouldDispatch;
}
//# sourceMappingURL=getActionsToDispatch.js.map