/**
 * Copyright (c) 2020 ServiceNow, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *  
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *  
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
import { setInteractionId } from '@servicenow/ui-metrics';
import { CONDITIONAL_DISPATCH } from '../symbols';
import { COMPONENT_PROPERTY_CHANGED } from '../constants';
import { get } from '@servicenow/ui-internal';
import getHostVariables from './getHostVariables';
export default function triggerPropertyChangeAction(el, propertyDetail, affectedPropDetail, interactionId) {
  const {
    propName: name,
    path
  } = affectedPropDetail;
  let {
    previousValue,
    value
  } = propertyDetail;

  if (path) {
    previousValue = get(previousValue, path);
    value = get(value, path);
  }

  const hostVariables = getHostVariables(el);
  hostVariables[CONDITIONAL_DISPATCH](COMPONENT_PROPERTY_CHANGED, {
    name,
    previousValue,
    value,
    host: el
  }, setInteractionId({
    internal: true
  }, interactionId));
}
//# sourceMappingURL=triggerPropertyChangeAction.js.map